# Uses of Interface
org.opensaml.saml.saml2.core.NameIDPolicy

Packages that use NameIDPolicy
Package
Description
org.opensaml.saml.common.profile.logic
Functions and predicates supporting common SAML profile behavior.
org.opensaml.saml.saml2.core
Interfaces for SAML 2.0 core and protocol interfaces.
org.opensaml.saml.saml2.core.impl
Implementations of SAML 2.0 core specification types and elements.

## Uses of NameIDPolicy in org.opensaml.saml.common.profile.logic

Methods in org.opensaml.saml.common.profile.logic with parameters of type NameIDPolicy
Modifier and Type
Method
Description
`private boolean`
AbstractNameIDPolicyPredicate.`doApply(ProfileRequestContext input, NameIDPolicy target)`
Apply policy to the target object.

## Uses of NameIDPolicy in org.opensaml.saml.saml2.core

Methods in org.opensaml.saml.saml2.core that return NameIDPolicy
Modifier and Type
Method
Description
`NameIDPolicy`
AuthnRequest.`getNameIDPolicy()`
Gets the `NameIDPolicy` of the request.
`NameIDPolicy`
NameIDMappingRequest.`getNameIDPolicy()`
Get the NameIDPolicy of the request.
Methods in org.opensaml.saml.saml2.core with parameters of type NameIDPolicy
Modifier and Type
Method
Description
`void`
AuthnRequest.`setNameIDPolicy(NameIDPolicy newNameIDPolicy)`
Sets the `NameIDPolicy` of the request.
`void`
NameIDMappingRequest.`setNameIDPolicy(NameIDPolicy newNameIDPolicy)`
Set the NameIDPolicy of the request.

## Uses of NameIDPolicy in org.opensaml.saml.saml2.core.impl

Classes in org.opensaml.saml.saml2.core.impl that implement NameIDPolicy
Modifier and Type
Class
Description
`class`
`NameIDPolicyImpl`
Concrete implementation of `NameIDPolicy`.
Fields in org.opensaml.saml.saml2.core.impl declared as NameIDPolicy
Modifier and Type
Field
Description
`private NameIDPolicy`
AuthnRequestImpl.`nameIDPolicy`
NameIDPolicy child element.
`private NameIDPolicy`
NameIDMappingRequestImpl.`nameIDPolicy`
NameIDPolicy child element.
Methods in org.opensaml.saml.saml2.core.impl that return NameIDPolicy
Modifier and Type
Method
Description
`NameIDPolicy`
NameIDPolicyBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`NameIDPolicy`
NameIDPolicyBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`NameIDPolicy`
AuthnRequestImpl.`getNameIDPolicy()`
Gets the `NameIDPolicy` of the request.
`NameIDPolicy`
NameIDMappingRequestImpl.`getNameIDPolicy()`
Get the NameIDPolicy of the request.
Methods in org.opensaml.saml.saml2.core.impl with parameters of type NameIDPolicy
Modifier and Type
Method
Description
`void`
AuthnRequestImpl.`setNameIDPolicy(NameIDPolicy newNameIDPolicy)`
Sets the `NameIDPolicy` of the request.
`void`
NameIDMappingRequestImpl.`setNameIDPolicy(NameIDPolicy newNameIDPolicy)`
Set the NameIDPolicy of the request.